Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 448466 - =media-sound/gpodder-3.6.0: version bump
Summary: =media-sound/gpodder-3.6.0: version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement with 1 vote (vote)
Assignee: Gentoo Sound Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-24 22:10 UTC by coran.fisher@gmail.com
Modified: 2014-03-09 09:23 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
gpodder-3.4.0.ebuild (gpodder-3.4.0.ebuild,1.40 KB, text/plain)
2012-12-24 22:10 UTC, coran.fisher@gmail.com
Details
gpodder-3.5.1.ebuild (gpodder-3.5.1-r1.ebuild,1.43 KB, text/plain)
2013-05-30 11:39 UTC, Iván Atienza
Details

Note You need to log in before you can comment on or make changes to this bug.
Description coran.fisher@gmail.com 2012-12-24 22:10:50 UTC
Created attachment 333228 [details]
gpodder-3.4.0.ebuild

Just a version bump request
Comment 1 coran.fisher@gmail.com 2013-03-10 23:19:30 UTC
renamed ebuild to 3.5 and it still installed for me.
Comment 2 coran.fisher@gmail.com 2013-04-20 20:14:08 UTC
renamed to 3.5.1 and it works for this as well.
Comment 3 Samuli Suominen gentoo-dev 2013-05-28 06:34:20 UTC
Comment on attachment 333228 [details]
gpodder-3.4.0.ebuild

This ebuild has false dependency of dev-python/imaging wrt bug 471570, thus obsoleting the attachement to avoid it sneaking into portage.
Comment 4 Iván Atienza 2013-05-30 11:39:17 UTC
Created attachment 349640 [details]
gpodder-3.5.1.ebuild

Hi, i'm testing the version 3.5.1. I need to put 3 patches, one to make work with dev-python/eyeD3 (i make a pull request about that upstream) and two to fix plugins errors from upstream's git, now seems to work without errors nor warnings.

Patches:
fix_eye3d.patch :
https://github.com/hashashin/gpodder/commit/3df7f7fbf38e0949096fcfc798e73e1574d082dd
ted_subtitles_fix.patch and audio_normalize_fix.patch
https://github.com/gpodder/gpodder/commit/63d6df5ed07dfc13c4fbd4fa3e363f9ed3b31d6a

Salud.
Comment 5 nickrobbins 2013-06-08 16:06:40 UTC
Works with 3.5.1 for me. However, I believe it seems to have a dependency on  sys-apps/iproute2.
Comment 6 David Parrish 2013-09-23 18:05:19 UTC
3.5.1 worked fine for me.  I'm looking forward to the update because 3.5.1 fixes a Youtube download issue.
Comment 7 Samuli Suominen gentoo-dev 2014-03-05 17:32:31 UTC
3.6.0 in Portage
Comment 8 sul 2014-03-08 13:06:26 UTC
Hi,

I filled a bug on gpodder tracker : https://bugs.gpodder.org/show_bug.cgi?id=1730#c24.

Since update, gpodder always displays a message "No network connection".

Here changes that i made to make it works:

diff --git a/src/gpodder/util.py b/src/gpodder/util.py
index 076f6aa..e9a80bf 100644
--- a/src/gpodder/util.py
+++ b/src/gpodder/util.py
@@ -1703,6 +1703,11 @@ def unix_get_active_interfaces():
         if b:
             yield b.group(1)
 
+    # fix gentoo
+    for interface, state in re.findall('(\\w+):.*<([A-Z,]+)>', stdout):
+        if interface != 'lo' and 'UP' in state.split(','):
+            yield interface
+
 
 def connection_available():
     """Check if an Internet connection is available
Comment 9 Samuli Suominen gentoo-dev 2014-03-08 13:16:41 UTC
(In reply to tipiak from comment #8)
> Hi,
> 
> I filled a bug on gpodder tracker :
> https://bugs.gpodder.org/show_bug.cgi?id=1730#c24

You commented on a already RESOLVED, FIXED bug at upstream tracker, and did same here.
That doesn't work, you are lucky if anyone ever sees your messages, I did by accident from bugmail.
File new bugs to both.
Comment 10 sul 2014-03-09 09:23:41 UTC
Ok, I did it. Thank you for the trick.